# Machine-writable settings file

import os.path
import slogan
[false, true]= range(2)

settings= {

# Default settings - best not to alter

  'default': (
    { # slogan
      'language': 'english',
      'dbDriver': 'winodbc',
      'dbHost': 'localhost',
      'dbName': 'slogan',
      'dbUser': 'slogan',
      'dbPass': 'slogan',
      'logPath': 'C:\\WINNT\\System32\\LogFiles\\W3SVC1',
      'logName': '&ignore;',
      'logManagement': 'auto',
      'logLine': slogan.logLineExtended,
      'logDateUS': false,
      'extendedMS': false,
      'fileCase': false,
      'fileIndex': '',
      'resolveIP': true,
      'y2kWindow': 70,
      'y2kCentury': 2000
    },
    { # slogan.html
      'skin': 'default',
      'queryUrl': 'slogan.cgi',
      'imageUrl': 'i/',
      'imagePath': os.path.join(os.path.dirname(os.path.dirname(__file__)), 'i'),
      'pieFormat': ('png', 'image/png')
    },
    { # slogan.pie
      'diameter': 256,
      'superscale': 2,
      'maxSlices': 12,
      'minSlice': 0.03,
      'labelGap': 16,
      'labelLength': 32,
      'font': os.path.join(os.path.dirname(__file__), 'fonts', 'times.pil'),
      'palette': [ (255, 255, 255), (0, 0, 0),
        (255, 0, 0), (0, 255, 0), (0, 0, 255), (255, 255, 0), (0, 255, 255), (255, 0, 255), (255, 128, 0), (0, 255, 128), (128, 0, 255), (128, 255, 0), (0, 128, 255), (255, 0, 128)]
    }
  ),

# settings for my test server

  'test': (
    { # slogan
      'language': 'english',
      'dbDriver': 'winodbcmysql',
      'dbHost': 'localhost',
      'dbName': 'slogan',
      'dbUser': 'slogan',
      'dbPass': 'slogan',
      'logPath': 'D:\\web\\1value\\logs\\W3SVC1',
      'logName': 'ex&date;.log',
      'logManagement': 'auto',
      'logLine': slogan.logLineExtended,
      'logDateUS': false,
      'extendedMS': true,
      'fileCase': false,
      'fileIndex': 'index.p',
      'resolveIP': false,
      'y2kWindow': 70,
      'y2kCentury': 2000
    },
    { # slogan.html
      'skin': 'cadmatrix',
      'queryUrl': 'slogan.cgi',
      'imageUrl': 'i/',
      'imagePath': 'D:\\web\\slogan\\i',
      'pieFormat': ('png', 'image/png')
    },
    { # slogan.pie
      'diameter': 256,
      'superscale': 2,
      'maxSlices': 12,
      'minSlice': 0.03,
      'labelGap': 16,
      'labelLength': 32,
      'font': os.path.join(os.path.dirname(__file__), 'fonts', 'times.pil'),
      'palette': [ (255, 255, 255), (0, 0, 0),
        (255, 0, 0), (0, 255, 0), (0, 0, 255), (255, 255, 0), (0, 255, 255), (255, 0, 255), (255, 128, 0), (0, 255, 128), (128, 0, 255), (128, 255, 0), (0, 128, 255), (255, 0, 128)]
    }
  ),

# settings for 1value.com

  '1value': (
    { # slogan
      'language': 'german',
      'dbDriver': 'winodbcmysql',
      'dbHost': 'localhost',
      'dbName': 'slogan',
      'dbUser': 'webslave',
      'dbPass': '?woqf3',
      'logPath': 'D:\\1value\\logs\\W3SVC1',
      'logName': 'ex&date;.log',
      'logManagement': 'auto',
      'logLine': slogan.logLineExtended,
      'logDateUS': false,
      'extendedMS': true,
      'fileCase': false,
      'fileIndex': 'index.p',
      'resolveIP': true,
      'y2kWindow': 70,
      'y2kCentury': 2000
    },
    { # slogan.html
      'skin': '1value',
      'queryUrl': 'index.p',
      'imageUrl': 'i/',
      'imagePath': 'D:\\1value\\html\\logs\\i',
      'pieFormat': ('png', 'image/png')
    },
    { # slogan.pie
      'diameter': 256,
      'superscale': 2,
      'maxSlices': 12,
      'minSlice': 0.03,
      'labelGap': 16,
      'labelLength': 32,
      'font': os.path.join(os.path.dirname(__file__), 'fonts', 'times.pil'),
      'palette': [ (255, 255, 255), (0, 0, 0),
        (255, 0, 0), (0, 255, 0), (0, 0, 255), (255, 255, 0), (0, 255, 255), (255, 0, 255), (255, 128, 0), (0, 255, 128), (128, 0, 255), (128, 255, 0), (0, 128, 255), (255, 0, 128)]
    }
  ),

# settings for rover-rosenheim.de

  'rover': (
    { # slogan
      'language': 'german',
      'dbDriver': 'winodbcmysql',
      'dbHost': 'localhost',
      'dbName': 'sloganrover',
      'dbUser': 'webslave',
      'dbPass': '?woqf3',
      'logPath': 'D:\\autohaushost\\logs\\rover-rosenheim\\W3SVC2',
      'logName': 'ex&date;.log',
      'logManagement': 'auto',
      'logLine': slogan.logLineExtended,
      'logDateUS': false,
      'extendedMS': true,
      'fileCase': false,
      'fileIndex': 'index.p',
      'resolveIP': true,
      'y2kWindow': 70,
      'y2kCentury': 2000
    },
    { # slogan.html
      'skin': 'default',
      'queryUrl': 'index.p',
      'imageUrl': 'i/',
      'imagePath': 'D:\\autohaushost\\html\\rover-rosenheim\\log\\i',
      'pieFormat': ('gif', 'image/gif')
    },
    { # slogan.pie
      'diameter': 256,
      'superscale': 2,
      'maxSlices': 12,
      'minSlice': 0.03,
      'labelGap': 16,
      'labelLength': 32,
      'font': os.path.join(os.path.dirname(__file__), 'fonts', 'times.pil'),
      'palette': [ (255, 255, 255), (0, 0, 0),
        (255, 0, 0), (0, 255, 0), (0, 0, 255), (255, 255, 0), (0, 255, 255), (255, 0, 255), (255, 128, 0), (0, 255, 128), (128, 0, 255), (128, 255, 0), (0, 128, 255), (255, 0, 128)]
    }
  ),

# settings for CADmatrix

  'cadmatrix': (
    { # slogan
      'language': 'german',
      'dbDriver': 'pygresql',
      'dbHost': 'localhost',
      'dbName': 'slogan',
      'dbUser': 'webslave',
      'dbPass': 'RoyWalker',
      'logPath': '/usr/log/apache',
      'logName': 'log&ignore;',
      'logManagement': 'auto',
      'logLine': slogan.logLineCombined,
      'logDateUS': false,
      'extendedMS': false,
      'fileCase': true,
      'fileIndex': 'index.p',
      'resolveIP': true,
      'y2kWindow': 70,
      'y2kCentury': 2000
    },
    { # slogan.html
      'skin': 'cadmatrix',
      'queryUrl': 'index.p',
      'imageUrl': 'i/',
      'imagePath': '/usr2/cadmatrix/html/logs/i',
      'pieFormat': ('png', 'image/png')
    },
    { # slogan.pie
      'diameter': 256,
      'superscale': 2,
      'maxSlices': 12,
      'minSlice': 0.03,
      'labelGap': 16,
      'labelLength': 32,
      'font': os.path.join(os.path.dirname(__file__), 'fonts', 'times.pil'),
      'palette': [ (255, 255, 255), (0, 0, 0),
        (255, 0, 0), (0, 255, 0), (0, 0, 255), (255, 255, 0), (0, 255, 255), (255, 0, 255), (255, 128, 0), (0, 255, 128), (128, 0, 255), (128, 255, 0), (0, 128, 255), (255, 0, 128)]
    }
  ),

}
